#pragma once
#include "olcPixelGameEngine.h"

class Theme{
	friend class Menu;
	std::string displayName;
	std::string imgPath;

	bool tiled=true;
	Pixel buttonCol,highlightCol;
	Decal*background;
public:
	inline Theme(){}
	inline Theme(std::string displayName,std::string imgPath,bool tiled,Pixel buttonCol,Pixel highlightCol,Decal*background=nullptr)
		:displayName(displayName),imgPath(imgPath),tiled(tiled),buttonCol(buttonCol),highlightCol(highlightCol),background(background){}
	inline Pixel GetButtonCol(){
		return buttonCol;
	}
	inline Pixel GetHighlightCol(){
		return highlightCol;
	}
	inline std::string GetThemeName(){
		return displayName;
	}
	inline bool IsScaled(){
		return !tiled;
	}
	inline bool HasBackground(){
		return background!=nullptr;
	}
	inline Decal*GetBackground(){
		return background;
	}
};